* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

p {
  font-family: "Josefin Sans", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}

h5 {
    font-family: "minion-3", serif;
    font-weight: 400;
    font-style: italic;
}

h4 {
    font-family: "minion-3", serif;
    font-weight: 500;
    font-style: italic;
}

h3 {
    font-family: "minion-3", serif;
    font-weight: 600;
    font-style: italic;
}

h2 {
    font-family: "minion-3", serif;
    font-weight: 700;
    font-style: italic;
    font-size: 4rem;
}

body {
    margin-top: 2em;
    font-family: "minion-3", Arial, "sans serif";
    line-height: 1.25;
}

main {
    margin-top: 2rem;
    max-width: 1200px;
    margin-left: auto;
    margin-right: auto;
}

h1, h2, h3, h4, h5, h6 {
    margin: 2rem;
    margin-bottom: .25rem;
}

p {
    margin: 0 2rem 2rem 2rem;
}

nav {
    background-color: #722f37;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    position: fixed;
    width: 100%;
    top: 0;
    height: 50px;
    font-family: "Josefin Sans";
    font-weight: 600;
}

#nav_logo {
    display: flex;
    flex-direction: row;
    font-weight: bold;
    align-items: center;
    margin-left: 10px;
    margin-top: 5px;
}

#nav_logo p {
    margin: 0;
}

#nav_links {
    list-style-type: none;
    display: flex;
    flex-direction: row;
    font-weight: bold;
    align-items: center;
    gap: 2rem;
    padding-right: 2rem;
}

#nav_links li {
    display: flex;
    justify-content: space-between;
}

#nav_links a {
    align-items: center;
    text-decoration: none;
    color: #efdfbb;
}

#nav_links a:active {
    text-decoration: none;
    color: #e49e9f;
}

#nav_links a:visited {
    text-decoration: none;
}

#nav_links a:hover {
    text-decoration: underline;
}

header {
    height: 90vh;
    background-color: gray;
    display: flex;
    flex-flow: row wrap;
    justify-content: flex-end;
    align-items: flex-end;
}

header p {
    font-family: "minion-3";
    font-size: clamp(1.25rem, 2.5vw, 2rem);
    font-weight: 700;
    text-align: right;
}

main {
    margin-top: 2rem;
}

.random_paragraph {
    margin: 4rem 10rem 0rem 10rem;
}

#opener {
    background-color: #efdfbb;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto auto auto;
    grid-template-areas: 
        "p1 p1"
        "img p2"
        "img p3";
    margin: 2rem auto 2rem auto;
    padding: 1rem;
    border-radius: 2.5em;
    align-items: start;
    max-width: 950px;
    gap: 0.5rem;
}

#opener img {
    grid-area: img;
    width: auto;
    height: 50vh;
    object-fit: cover;
    border-radius: 2rem;
    margin-left: 1rem;
    margin-bottom: 1rem;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

#opener1 {
    grid-area: p1;
    margin-top: 1rem;
}

#opener2 {
    grid-area: p2;
}

#opener3 {
    grid-area: p3;
}

.services {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-areas: 
        "head head head"
        "box1 box2 box3";
    text-align: center;
    margin: 2rem;
}

.services img {
    object-fit: cover;
    width: 90%;
    height: 200px;
    border-radius: .5rem;
    margin: .5rem auto .5rem auto;
}

.services h2 {
    grid-area: head;
    font-size: 4rem;
    color: #722f37;
}

.services h3 {
    font-size: 1.75rem;
    font-weight: 700;
}

.services #box1 {
    grid-area: box1;
    background-color: #efdfbb;
    color: #722f37;
    margin: 1rem;
    padding: .5rem;
    border-radius: 2rem;
}

#box1 img {
    object-position: right;
}

.services #box2 {
    grid-area: box2;
    background-color: #722f37;
    color: #efdfbb;
    margin: 1rem;
    padding: .5rem;
    border-radius: 2rem;
}

.services #box3 {
    grid-area: box3;
    background-color: #efdfbb;
    color: #722f37;
    margin: 1rem;
    padding: .5rem;
    border-radius: 2rem;
}

.button {
    color: #722f37;
    text-align: center;
    margin: 5rem 10rem;
    font-family: 'Josefin Sans';
    font-weight: 600;
}

.button a {
    text-decoration: none;
    color: #722f37;
    background-color: #e49e9f;
    padding: 1rem;
    border-radius: .5em;
    text-align: center;
}

.button a:hover {
    background-color: #cce594;
    color: #555a00;
}

#toolbox {
    display: grid;
    color: #722f37;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
}

#Flutella {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-areas: 
        ""
        "";
}

#Flutella h3 {
    font-size: 4rem;
    color: #555a00;
    text-align: left;
}

.core_values {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto auto auto;
    grid-template-areas: 
        "title title"
        "cv1 cv2"
        "cv3 cv4";
    align-items: start;
    max-width: 1000px;
    gap: 0.5rem;
    margin: 2rem auto 2rem auto;
}

.core_values h3 {
    grid-area: title;
    font-size: 4rem;
    color: #555a00;
    text-align: center;
}

.core_values h4 {
    font-size: 2rem;
    margin-bottom: 1rem;
}

.core_values img {
    width: 7.5vw;
    margin: 1rem 0rem 0rem 2rem;
}

#cv1, #cv2, #cv3, #cv4 {
    background-color: #555a00;
    color: white;
    margin: 2rem auto 2rem auto;
    padding: 1rem;
    border-radius: 2.5em;
}

#cv1 {
    grid-area: cv1;
}

#cv2 {
    grid-area: cv2;
}

#cv3 {
    grid-area: cv3;
}

#cv4 {
    grid-area: cv4;
}

footer {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-areas: "logo fnav claim";
    background-color: #efdfbb;
    padding: 1rem;
    text-align: center;
    justify-content: center;
    align-items: center;
}

footer img {
    width: 75%;
}

footer h2 {
    grid-area: logo;
}

#footer_nav {
    grid-area: fnav;
    border-right: 2px solid black;
    border-left: 2px solid black;
}

#footer_nav ul {
    list-style-type: none;
    display: flex;
    flex-direction: column;
    padding: .5rem;
    font-size: 1.75rem;
    font-family: 'Josefin Sans';
}

#footer_nav a {
    text-decoration: none;
    color: #722f37;
}

#footer_nav a:hover {
    text-decoration: underline;
    color: #e49e9f;
}

#footer_p {
    grid-area: claim;
    display: flex;
    flex-direction: column;
    padding: 0 1rem 0 1rem;
    margin: 0 1rem 0 1rem;
    font-size: 1.75rem;
    color: #722f37;
    font-weight: 700;
}

#footer_p p {
    margin: .25rem;
}